import { useContext } from "react";
import { PostDetailContext } from "../context/PostDetailContext";
import { motion } from "framer-motion";

import { StatsSection } from "./StatsSection";

import PostResources from "../PostResources";
export default function Content() {
	const { post, user } = useContext(PostDetailContext);
	return (
		<motion.div
			initial={{ opacity: 0, y: -20 }}
			animate={{ opacity: 1, y: 0 }}
			transition={{ duration: 0.5 }}
			className="relative bg-white rounded-b-xl p-6 pt-2 shadow-lg border border-[#97A9C4]/30">
			<motion.div
				initial={{ opacity: 0 }}
				animate={{ opacity: 1 }}
				transition={{ delay: 0.6 }}
				className=" text-secondary-700">
				<div
					className="ql-editor p-0 space-y-1 leading-relaxed  duration-300"
					dangerouslySetInnerHTML={{
						__html: post?.content || "",
					}}
				/>
				<PostResources post={post}></PostResources>
				{/* <div>{post.resources?.map((resource) => {})}</div> */}
			</motion.div>

			{/* Stats Section */}
			<StatsSection></StatsSection>
		</motion.div>
	);
}
